Summary: A CRT screen handling and optimization package.
Name: ncurses
Version: 5.3
Release: 9tr
License: distributable
Group: Trustix Official
Source0: ftp://ftp.gnu.org/gnu/ncurses/ncurses-%{version}.tar.gz
Source1: ncurses-resetall.sh
Patch0: ftp://dickey.his.com/ncurses/5.3/ncurses-5.3-20021019.patch.gz
Patch1: ftp://dickey.his.com/ncurses/5.3/ncurses-5.3-20021026.patch.gz
Patch2: ftp://dickey.his.com/ncurses/5.3/ncurses-5.3-20021102.patch.gz
Patch3: ftp://dickey.his.com/ncurses/5.3/ncurses-5.3-20021109.patch.gz
Patch4: ftp://dickey.his.com/ncurses/5.3/ncurses-5.3-20021116.patch.gz
Patch5: ftp://dickey.his.com/ncurses/5.3/ncurses-5.3-20021123.patch.gz
Patch6: ftp://dickey.his.com/ncurses/5.3/ncurses-5.3-20021206.patch.gz
Patch7: ftp://dickey.his.com/ncurses/5.3/ncurses-5.3-20021214.patch.gz
BuildRoot: /var/tmp/%{name}-root

%description
The curses library routines are a terminal-independent method of
updating character screens with reasonable optimization.  The ncurses
(new curses) library is a freely distributable replacement for the
discontinued 4.4BSD classic curses library.

%package devel
Summary: The development files for applications which use ncurses.
Group: Trustix Official
Requires: ncurses = %{PACKAGE_VERSION}

%description devel
The header files and libraries for developing applications that use
the ncurses CRT screen handling and optimization package.

Install the ncurses-devel package if you want to develop applications
which will use ncurses.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
find . -name "*.orig" -exec rm -f {} \;

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--libdir=/lib \
	--with-normal \
	--with-shared \
	--without-debug \
	--without-profile \
	--without-cxx \
	--without-ada \
	--mandir=%{_mandir}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install includedir=/usr/include/ncurses
ln -s ../l/linux $RPM_BUILD_ROOT/usr/share/terminfo/c/console
ln -s ncurses/curses.h $RPM_BUILD_ROOT/usr/include/ncurses.h
for I in curses unctrl eti form menu panel term; do
	ln -sf ncurses/$I.h $RPM_BUILD_ROOT/usr/include/$I.h
done

# We want to link stuff in /bin against ncurses, but we do not need to compile
# things without /usr mounted.
[ -d $RPM_BUILD_ROOT/usr/lib/ ] || mkdir $RPM_BUILD_ROOT/usr/lib/
ln -sf /lib/libform.so.5 $RPM_BUILD_ROOT/usr/lib/libform.so
ln -sf /lib/libmenu.so.5 $RPM_BUILD_ROOT/usr/lib/libmenu.so
ln -sf /lib/libncurses.so.5 $RPM_BUILD_ROOT/usr/lib/libncurses.so
ln -sf /lib/libpanel.so.5 $RPM_BUILD_ROOT/usr/lib/libpanel.so
ln -sf /lib/libncurses.so.5 $RPM_BUILD_ROOT/usr/lib/libcurses.so

mv $RPM_BUILD_ROOT/lib/*.a $RPM_BUILD_ROOT/usr/lib/

strip $RPM_BUILD_ROOT/usr/bin/* || :
make clean -C test

# the resetall script
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/resetall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ANNOUNCE
%attr(755,root,root) /lib/lib*.so.*
/usr/share/terminfo
/usr/share/tabset
/usr/bin/*
/usr/share/man/man1/*
/usr/share/man/man5/*
/usr/share/man/man7/*

%files devel
%defattr(-,root,root)
%doc c++ test
%doc doc/html/hackguide.html
%doc doc/html/ncurses-intro.html
/usr/lib/lib*.so
/usr/lib/lib*.a
%dir /usr/include/ncurses/
/usr/include/ncurses/*.h
/usr/include/*.h
/usr/share/man/man3/*

%changelog
* Wed Dec  6 2003 Erlend Midttun <erlendbm at trustix dot org> 5.3-7tr
- Big rebuild

* Tue Sep 16 2003 Chr. H. Toldnes <christht at trustix dot com> 5.3-6tr
- Rebuilt and retagged for release.

* Wed Sep  3 2003 Goetz Bock <bock at trustix dot org> 5.3-5bg
- own /usr/include/ncurses, to get permissions right
  (reported by Malpa)

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 5.3-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 5.3-3em
- Rebuilt against glibc 2.3.2.

* Tue Dec 19 2002 Goetz Bock <bock at trustix dot org> 5.3-2bg
- the ncurses devel was broken, I've integrated a lot of patches from dickey
- hopefully it works now

* Tue Dec 10 2002 Goetz Bock <bock at trustix dot org> 5.3-1bg
- new upstream 5.3
- removed all patches
- removed sparc specific sections/files

* Thu Aug 15 2002 Christian H. Toldnes <christht at trustix dot com> 5.2.6ct
- Minor .spec cleanup

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 5.2-5dm
- rebuild for Trustix Secure Linux 2.0

* Fri Jan 25 2002 Christian H. Toldnes <christht at trustix dot com>
- Updated the curses compability symlinks.

* Sun Nov 26 2000 Oystein Viggen <oysteivi at trustix dot com
- v5.2
- Move runtime libs to /lib, because we want to link stuff in /bin to ncurses

* Tue Feb 15 2000 Erlend Midttun <erlendbm at trustix dot com>
- Made Ncurses 5 actually install as Ncurses 5

* Sat Jan 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- remove some broken symlinks (leftovers from libncurses.so.5)
- Use %configure (Bug #8484)

* Tue Jan 11 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add xterm patch from Hans de Goede <hans@highrise.nl>
- Patch 20000108, this fixes a problem with a header file.

* Wed Jan  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add 20000101 patch, hopefully finally fixing the xterm description

* Wed Dec 22 1999 Cristian Gafton <gafton@redhat.com>
- revert to the old major number - because the ABI is not changed (and we
  should be handling the changes via symbol versioning anyway)

* Fri Nov 12 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix a typo in spec
- Add the 19991006 patch, fixing some C++ STL compatibility problems.
- get rid of profiling and debugging versions - we need to save space...

* Thu Nov  4 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.0
- some spec cleanups to make updating easier
- add links *.so.5 to *.so.4 - they are fully binary compatible.
  (Why did they change the invocation number???)

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- make clean in the test dir - don't ship any binaries at all.

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- fixed stripping of test programs.

* Sun Aug 29 1999 Preston Brown <pbrown@redhat.com>
- removed 'flash' capability for xterm; see bug #2820 for details.

* Fri Aug 27 1999 Cristian Gafton <gafton@redhat.com>
- add the resetall script from Marc Merlin <marc@merlins.org>

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- added iris-ansi-net as alias for iris-ansi (bug #2561)

* Fri Jul 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- added ncurses-intro.hmtl and hackguide.html to -devel package [bug #3929]

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure ALL binaries are stripped (incl. test binaries)

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- made xterm terminfo stuff MUCH better.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- fixed header for C++ compiles

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- add terminfo entries for linux/linux-m on sparc (obsolete termfile_sparc).

* Thu Feb 18 1999 Cristian Gafton <gafton@redhat.com>
- updated patchset from original site

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- don't build the C++ demo code
- update patch set to the current as of today (redid all the individual
  patches in a single one)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- make sure to strip the binaries

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- added another zillion of patches. The spec file *is* ugly
- defattr

* Mon Jul 20 1998 Cristian Gafton <gafton@redhat.com>
- added lots of patches. This spec file is starting to look ugly

* Wed Jul 01 1998 Alan Cox <alan@redhat.com>
- Fix setuid trusting. Open termcap/info files as the real user.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- added terminfo entry for the poor guys using lat1 and/or lat-2 on their
  consoles... Enjoy linux-lat ! Thanks, Erik !

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- new patch to get xterm-color and nxterm terminfo entries
- aliased them to rxvt, as that seems to satisfy everybody

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean section

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- removed /usr/lib/terminfo symlink - we shouldn't need that

* Mon Apr 06 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.2 + patches
- added BuildRoot

* Sat Apr 04 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt with egcs on alpha

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- version 7 didn't rebuild properly on the Alpha somehow -- no real changes
  are in this version

* Tue Dec 09 1997 Erik Troan <ewt@redhat.com>
- TIOCGWINSZ wasn't used properly

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, linked shared libs against -lc

